apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  labels:
    component: test3
    environment: develop
    system: test3
    team: calamari
    gitlabid: "54946659"
  annotations:
    notifications.argoproj.io/subscribe.on-deployed.gitlab: calamari
  name: test3-develop
  namespace: openshift-gitops
spec:
  destination:
    namespace: test3-develop
    server: https://kubernetes.default.svc
  project: calamari
  source:
    path: kustomize/overlays/develop
    repoURL: https://gitlab.com/arbetsformedlingen/devops/per-test2/test3/test3-infra.git
    targetRevision: main
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
    - CreateNamespace=true
